Perfomed development version leap to cdrskin-0.2.3

trunk@386
Thomas Schmitt 16 years ago
parent d47767021f
commit ff16978824
  1. 58
      cdrskin/add_ts_changes_to_libburn_0_2_3
  2. 59
      cdrskin/cdrskin.c
  3. 59
      cdrskin/cdrskin_eng.html
  4. 66
      cdrskin/changelog.txt
  5. 32
      cdrskin/compile_cdrskin.sh

@ -20,18 +20,23 @@ set -x
# The script is to be run in the directory above the toplevel
# directory of libburn resp. cdrskin development.
#
# libburn version used: http://libburn.pykix.org SVN of Aug 15 2006
# packed up in a tarball just to save it from inadverted changes.
# libburn version used: http://libburn.pykix.org
# Downloaded by:
# $ svn co http://libburn-svn.pykix.org/trunk libburn_pykix
# packed up in a tarball just to save it from inadverted changes by
# $ tar czf libburn_svn.tgz libburn_pykix
original="./libburn_svn.tgz"
# Historic moments:
# original="./libburn_svn_A60815.tgz"
original="./libburn_cdrskin_A60819.tgz"
# original="./libburn_cdrskin_A60819.tgz"
# The top level directory in that snapshot is named
intermediate="./libburn_pykix"
# My changes are in libburn-0.2.1.ts.develop , mainly in ./cdrskin
# My changes are in libburn-0.2.3.ts.develop , mainly in ./cdrskin
changes="./libburn-0.2.1.ts.develop"
skin_rev="0.1.5"
changes="./libburn-0.2.3.ts.develop"
skin_rev="0.2.3"
# The result directory and the name of the result tarballs
target="./cdrskin-${skin_rev}"
@ -46,9 +51,7 @@ compile_cmd="./cdrskin/compile_cdrskin.sh"
compile_static_opts="-static"
compile_result="cdrskin/cdrskin"
# addresses relative to compile_dir :
bintarget_dynamic="../cdrskin_${skin_rev}-x86-suse9_0"
bintarget_dynamic="cdrskin_${skin_rev}-x86-suse9_0"
bintarget_static="$bintarget_dynamic"-static
if test -d "$changes"
@ -108,6 +111,9 @@ cp -a "$cdrskin_dir" "$cdrskin_target"
rm "$cdrskin_target"/cdrfifo
rm "$cdrskin_target"/cdrskin
rm "$cdrskin_target"/cleanup
rm "$cdrskin_target"/cdrskin_std
rm "$cdrskin_target"/cdrskin_new
rm "$cdrskin_target"/*.o
# Remove unwanted SVN stuff (TODO: avoid downloading it)
for i in "$target"/.svn "$target"/*/.svn
@ -123,15 +129,14 @@ do
fi
done
# For now: Add own libburn-README in toplevel
cp -a "$changes"/README "$target"
## No more : Add own libburn-README in toplevel
# cp -a "$changes"/README "$target"
# Add modified Makefile.am
cp -a "$changes"/Makefile.am "$target"
## No more : Add modified Makefile.am
# cp -a "$changes"/Makefile.am "$target"
# Make SVN state tarball for the libburn team
# TODO: will probably be obsoleted after sucessful merge
tar czf "$cdrskin_tarball_svn" "$target"
@ -141,6 +146,20 @@ tar czf "$cdrskin_tarball_svn" "$target"
#
( cd "$target" ; ./bootstrap )
# Remove unwanted stuff after bootstrap
for i in "$target"/autom4te.cache
do
if echo "$i" | grep '\*' >/dev/null
then
dummy=dummy
else
if test -e "$i"
then
rm -rf "$i"
fi
fi
done
# Pack it up to the new libburn+cdrskin-tarball
tar czf "$cdrskin_tarball" "$target"
@ -151,15 +170,22 @@ tar czf "$cdrskin_tarball" "$target"
./configure
make
$compile_cmd -do_strip
cp "$compile_result" "$bintarget_dynamic"
cp "$compile_result" "../$bintarget_dynamic"
if test -n "$compile_static_opts"
then
$compile_cmd $compile_static_opts -do_strip
cp "$compile_result" "$bintarget_static"
cp "$compile_result" "../$bintarget_static"
fi
)
# Remove the build area
# Disable this for debugging the merge process
rm -rf "$target"
# Show the result
./"$bintarget_dynamic" -version
./"$bintarget_static" -version
ls -l "$cdrskin_tarball"
ls -l "$bintarget_dynamic"
ls -l "$bintarget_static"

@ -127,7 +127,7 @@ or
/** The official program version */
#ifndef Cdrskin_prog_versioN
#define Cdrskin_prog_versioN "0.2.2"
#define Cdrskin_prog_versioN "0.2.3"
#endif
/** The source code release timestamp */
@ -176,6 +176,11 @@ or
#define Cdrskin_libburn_from_pykix_svN 1
#endif
#ifdef Cdrskin_libburn_0_2_3
#define Cdrskin_libburn_versioN "0.2.3"
#define Cdrskin_libburn_from_pykix_svN 1
#endif
#ifdef Cdrskin_libburn_from_pykix_svN
#define Cdrskin_libburn_p_sectoR 1
#define Cdrskin_libburn_with_fd_sourcE 1
@ -198,7 +203,7 @@ or
#endif /* Cdrskin_libburn_from_pykix_svN */
#ifndef Cdrskin_libburn_versioN
#define Cdrskin_libburn_versioN "0.2.2"
#define Cdrskin_libburn_versioN "0.2.3"
#endif
#ifdef Cdrskin_libburn_largefilE
@ -2261,6 +2266,7 @@ ex:
bit0= bus is unscanned, device is known,
use burn_drive_scan_and_grab()
bit1= do not load drive tray
bit2= do not issue error message on failure
@return <=0 error, 1 success
*/
int Cdrskin_grab_drive(struct CdrskiN *skin, int flag)
@ -2318,9 +2324,9 @@ int Cdrskin_grab_drive(struct CdrskiN *skin, int flag)
if(skin->verbosity>=Cdrskin_verbose_debuG)
ClN(fprintf(stderr,
"cdrskin_debug: burn_drive_scan_and_grab ret=%d\n",ret));
fprintf(stderr,"cdrskin: FATAL : unable to open drive '%s'\n",
skin->preskin->device_adr);
if(!(flag&4))
fprintf(stderr,"cdrskin: FATAL : unable to open drive '%s'\n",
skin->preskin->device_adr);
goto ex;
}
skin->driveno= 0;
@ -2371,8 +2377,9 @@ int Cdrskin_grab_drive(struct CdrskiN *skin, int flag)
ret= burn_drive_grab(drive,!(flag&2));
if(ret==0) {
fprintf(stderr,"cdrskin: FATAL : unable to open drive %d\n",
skin->driveno);
if(!(flag&4))
fprintf(stderr,"cdrskin: FATAL : unable to open drive %d\n",
skin->driveno);
goto ex;
}
@ -2386,8 +2393,9 @@ int Cdrskin_grab_drive(struct CdrskiN *skin, int flag)
/* now grab the drive for real */
ret= burn_drive_grab(drive,!(flag&2));
if(ret==0) {
fprintf(stderr,"cdrskin: FATAL : unable to open drive %d\n",
skin->driveno);
if(!(flag&4))
fprintf(stderr,"cdrskin: FATAL : unable to open drive %d\n",
skin->driveno);
goto ex;
}
#else
@ -3667,6 +3675,37 @@ int Cdrskin_eject(struct CdrskiN *skin, int flag)
#ifndef Cdrskin_burn_drive_eject_brokeN
#ifdef Cdrskin_new_api_tesT
int i,ret,max_try= 3;
if(!skin->do_eject)
return(1);
for(i= 0;i<max_try;i++) {
ret= Cdrskin_grab_drive(skin,2|((i<max_try-1)<<2));
if(ret>0)
break;
if(skin->verbosity>=Cdrskin_verbose_debuG)
fprintf(stderr,
"cdrskin: ------ Attempt #%d failed to grab drive for eject\n",i+1);
usleep(1000000);
}
if(ret>0) {
ret= Cdrskin_release_drive(skin,1);
if(ret>0) {
if(skin->verbosity>=Cdrskin_verbose_debuG)
ClN(fprintf(stderr,
"cdrskin_debug: supposing drive eject to have worked\n"));
} else
goto sorry_failed_to_eject;
} else {
sorry_failed_to_eject:;
fprintf(stderr,"cdrskin: SORRY : Failed to finally eject tray.\n");
return(0);
}
return(1);
#else
if(!skin->do_eject)
return(1);
if(Cdrskin_grab_drive(skin,2)>0) {
@ -3680,6 +3719,8 @@ int Cdrskin_eject(struct CdrskiN *skin, int flag)
}
return(1);
#endif
#else /* Cdrskin_burn_drive_eject_brokeN */
int ret;

@ -51,7 +51,7 @@ A CD recorder suitable for
GPL software included:<BR>
</H2>
<DL>
<DT>libburn-0.2.1 (inofficially stable SVN snapshot)</DT>
<DT>libburn-0.2.2</DT>
<DD>(by Derek Foreman, Ben Jansens, and team of libburn.pykix.org)</DD>
<DD>transfers data to CD</DD>
</DL>
@ -98,9 +98,9 @@ wishes as well as on the development of libburn.</DT>
<DD>$ cdrskin -scanbus</DD>
<DD>$ cdrskin dev=1,1,0 -checkdrive</DD>
<DD>$ cdrskin dev=1,1,0 -atip</DD>
<DD>$ cdrskin -v dev=1,1,0 blank=all eject_device=/dev/cdrom -eject</DD>
<DD>$ cdrskin -v dev=1,1,0 blank=fast eject_device=/dev/cdrom -eject</DD>
<DD>$ cdrskin -v dev=1,1,0 speed=12 fs=8m -sao driveropts=burnfree eject_device=/dev/cdrom -eject padsize=300k my_image.iso</DD>
<DD>$ cdrskin -v dev=1,1,0 blank=all -eject</DD>
<DD>$ cdrskin -v dev=1,1,0 blank=fast -eject</DD>
<DD>$ cdrskin -v dev=1,1,0 speed=12 fs=8m -sao driveropts=burnfree -eject padsize=300k my_image.iso</DD>
<DD>$ cdrskin -v dev=1,1,0 ... ... track_1.iso padsize=300k track_2.afio</DD>
<DD>$ find . | afio -oZ - | cdrskin -v dev=1,1,0 fs=32m speed=8 -sao driveropts=burnfree padsize=300k tsize=650m -</DD>
</DL>
@ -111,8 +111,8 @@ wishes as well as on the development of libburn.</DT>
<UL>
<DT></DT>
<LI>
No audio features yet. (Note: Option -audio is enabled in cdrskin-0.1.5 as
offered below, but no beheading of .au or .wav files takes place yet.)
Option -audio is enabled but by default not advertised via option -help,
because no beheading of .au or .wav files takes place yet.
</LI>
<LI>
Burns only a single closed session. No -multi option yet.
@ -133,12 +133,6 @@ In severe cases it might be necessary to guess the device name /dev/sgN resp.
/dev/hdX of the non-ill burner if it cannot be found otherwise among its
ill peers. Alternatively one can guess the address of the ill device, remove
rw-permissions and retry the bus scan as non-superuser.
<LI>
Burners other than /dev/sg0 and /dev/hdX (i.e. without ide-scsi) need a user
supplied device address for program eject.
(Note: -eject is now working in libburn-0.2.1 SVN and the workaround described
here is obsolete with cdrskin-0.1.5 as offered below.)
</LI>
</UL>
</P>
@ -147,25 +141,25 @@ here is obsolete with cdrskin-0.1.5 as offered below.)
<P>
<DL>
<DT>Download as source code (see README):</DT>
<DD><A HREF="cdrskin-0.1.4.tar.gz">cdrskin-0.1.4.tar.gz</A>
(580 KB).
<DD><A HREF="cdrskin-0.2.2.tar.gz">cdrskin-0.2.2.tar.gz</A>
(450 KB).
</DD>
<DD>
The "stable" cdrskin tarballs are tested and eventually slightly modified
SVN snapshots from libburn.pykix.org . All modifications are to be re-merged
into that SVN repository.<BR>
The "stable" cdrskin tarballs are source code identical with "stable"
libburn releases or with "stabilized" libburn SVN snapshots. They get
produced via a different procedure, though.<BR>
cdrskin is part of libburn - full libburn is provided with cdrskin releases.
</DD>
<DD>&nbsp;</DD>
<DT>Download as single x86 binaries (untar and move to /usr/bin/cdrskin):</DT>
<DD><A HREF="cdrskin_0.1.4-x86-suse9_0.tar.gz">
cdrskin_0.1.4-x86-suse9_0.tar.gz</A>, (50 KB),
<DD><A HREF="cdrskin_0.2.2-x86-suse9_0.tar.gz">
cdrskin_0.2.2-x86-suse9_0.tar.gz</A>, (60 KB),
<DL>
<DD>runs on SuSE 9.0 (2.4.21) , RIP-14.4 (2.6.14) ,
Gentoo (2.6.15 x86_64 Athlon).</DD>
</DL>
<DD><A HREF="cdrskin_0.1.4-x86-suse9_0-static.tar.gz">
cdrskin_0.1.4-x86-suse9_0-static.tar.gz</A>, (250 KB), -static compiled,
<DD><A HREF="cdrskin_0.2.2-x86-suse9_0-static.tar.gz">
cdrskin_0.2.2-x86-suse9_0-static.tar.gz</A>, (250 KB), -static compiled,
<DL>
<DD>runs on SuSE 7.2 (2.4.4), and on the systems above.</DD>
</DL>
@ -193,9 +187,9 @@ cdrskin_0.1.4-x86-suse9_0-static.tar.gz</A>, (250 KB), -static compiled,
<DL>
<DT>Development snapshot:</DT>
<DD>&nbsp;</DD>
<DD><A HREF="README_cdrskin_devel">README 0.1.5</A>
<DD><A HREF="cdrskin__help_devel">cdrskin_0.1.5 --help</A></DD>
<DD><A HREF="cdrskin_help_devel">cdrskin_0.1.5 -help</A></DD>
<DD><A HREF="README_cdrskin_devel">README 0.2.3</A>
<DD><A HREF="cdrskin__help_devel">cdrskin_0.2.3 --help</A></DD>
<DD><A HREF="cdrskin_help_devel">cdrskin_0.2.3 -help</A></DD>
<DD>&nbsp;</DD>
<DD>Maintainers of cdrskin unstable packages please use SVN of
<A HREF="http://libburn.pykix.org"> libburn.pykix.org</A></DD>
@ -215,15 +209,15 @@ admins with full system souvereignty.</DT>
<A HREF="README_cdrskin_devel">upcoming README</A> ):
</DT>
<DD>
<A HREF="cdrskin-0.1.5.tar.gz">cdrskin-0.1.5.tar.gz</A>
(580 KB).
<A HREF="cdrskin-0.2.3.tar.gz">cdrskin-0.2.3.tar.gz</A>
(450 KB).
</DD>
<DT>Binary (untar and move to /usr/bin/cdrskin):</DT>
<DD><A HREF="cdrskin_0.1.5-x86-suse9_0.tar.gz">
cdrskin_0.1.5-x86-suse9_0.tar.gz</A>, (50 KB).
<DD><A HREF="cdrskin_0.2.3-x86-suse9_0.tar.gz">
cdrskin_0.2.3-x86-suse9_0.tar.gz</A>, (60 KB).
</DD>
<DD><A HREF="cdrskin_0.1.5-x86-suse9_0-static.tar.gz">
cdrskin_0.1.5-x86-suse9_0-static.tar.gz</A>, (250 KB)
<DD><A HREF="cdrskin_0.2.3-x86-suse9_0-static.tar.gz">
cdrskin_0.2.3-x86-suse9_0-static.tar.gz</A>, (250 KB)
</DD>
</DL>
</P>
@ -281,8 +275,7 @@ is a GUI frontend which uses cdrecord for CD burning.)
<DD><KBD>scsibus2:</KBD></DD>
<DD><KBD>&nbsp;&nbsp;&nbsp; 2,2,0 &nbsp;&nbsp; 1)&nbsp; 'LITE-ON' 'LTR-48125S' '?' Removable CD-ROM</KBD></DD>
<DD>$ <KBD><B>export SCDBACKUP_SCSI_ADR="2,2,0"</B></KBD></DD>
<DD>$ <KBD><B>export SCDBACKUP_CDRECORD="cdrskin -v -v tao_to_sao_tsize=650m eject_device=/dev/cdrecorder"</B></KBD></DD>
<DD>(eject_device= has to be the appropriate address for program eject)</DD>
<DD>$ <KBD><B>export SCDBACKUP_CDRECORD="cdrskin -v -v tao_to_sao_tsize=650m"</B></KBD></DD>
<DD>$ <KBD><B>scdbackup_home</B></KBD></DD>
</DL>
<DL>
@ -292,7 +285,7 @@ is a GUI frontend which uses cdrecord for CD burning.)
<DD>$ <KBD><B>export SCDBACKUP_EJECT_ADR=/dev/cdrecorder</B></KBD></DD>
<DD>$ <KBD><B>./CONFIGURE_CD</B></KBD></DD>
<DD><KBD>...</KBD></DD>
<DD><KBD>cdrskin 0.1.2 : limited cdrecord compatibility wrapper for libburn</KBD></DD>
<DD><KBD>cdrskin 0.2.2 : limited cdrecord compatibility wrapper for libburn</KBD></DD>
<DD><KBD>...</KBD></DD>
<DD><KBD> ------------------- SCSI devices. To be used like &nbsp;&nbsp; 0,0,0</KBD></DD>
</DL>

@ -470,27 +470,70 @@ Prepared cdrskin-build for version leap
----------------------------- cycled (last cdrskin-0.1.5 ?) - 2006.09.15.101326
2006.09.15.101326 []
2006.09.15.101326 [139]
cdrskin/README
cdrskin/changelog.txt
New upload of scdbackup.sourceforge.net/cdrskin-0.1.5.tar.gz
2006.09.15.174748 [143]
cdrskin/cdrskin.c
Revoked change of 1 Sep 2006 revision 78 (full -nopad) (ticket 41)
16 Sep 2006 [144]
libburn/libburn.h
Made doxygen happy with parameter of burn_drive_get_adr
Sep 2006 []
2006.09.16.194730 [145]
000_CAUTION_RELEASE_CANDIDATE
zzz_CAUTION_RELEASE_CANDIDATE
README
Makefile.am
cdrskin/README
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Perfomed version leap in respect to SVN
2006.09.19.124540 [160] [161]
cdrskin/cdrskin.c
Allowed driveropts=burnproof as alias for burnfree
2006.09.19.140716 [162] [163]
cdrskin/cdrskin.c
Added error message in case of failed eject
2006.09.20.134219 [175] [176] [177]
cdrskin/cdrskin.c
Fixed bug with dev=1,1,0 (ticket 75)
21 Sep 2006 [186]
configure.ac
Makefile.am
Forwarded changes from 0.2.2 to 0.2.3
Sep 2006 []
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_eng.html
cdrskin/add_ts_changes_to_libburn_0_2_1
cdrskin/add_ts_changes_to_libburn_0_2_2
cdrskin/README
cdrskin/changelog.txt
- cdrskin/add_ts_changes_to_libburn_0_2_1
+ cdrskin/add_ts_changes_to_libburn_0_2_3
Perfomed development version leap to cdrskin-0.2.3
------------------------------ cycle - cdrskin-0.2.3 - 2006.09.21.082411
2006 []
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
( cd_backup_planer_dir/aux/upload )
Perfom version leap
Give up -tarball_0_2 , -cvs_A51208 , -libburn_0_2_1
Officialize most gestures out of Cdrskin_new_api_tesT
2006 []
cdrskin/cdrskin.c
Tackle failure to open drive on eject
------------------------------ cycle
2006 []
test/libburner.c
@ -500,7 +543,8 @@ test/libburner.c
Resolve softlinks (ticket 33)
2006 []
Find matching /dev/sgN from srM or scdM
Find matching /dev/sgN from srM or scdK
Occupy /dev/srM and /dev/scdK when occupying /dev/sgN
2006 []
Implement a .wav decapitator (ticket 38)
@ -508,6 +552,12 @@ Implement a .wav decapitator (ticket 38)
2006 []
Clear outdated persistent read buffer after small CD image was read (ticket 57)
2006 []
Add an error message handling facility (ticket 74)
2006 []
Transplant signal handler from cdrskin to libburn
2006 []
>>> libburn/libburn.h

@ -6,7 +6,7 @@
debug_opts=
def_opts=
libvers="-DCdrskin_libburn_0_2_2"
libvers="-DCdrskin_libburn_0_2_3"
do_strip=0
static_opts=
warn_opts="-Wall"
@ -28,12 +28,12 @@ do
elif test "$i" = "-cvs_A60220"
then
libvers="-DCdrskin_libburn_cvs_A60220_tS"
elif test "$i" = "-libburn_0_2_1"
then
libvers="-DCdrskin_libburn_0_2_1"
elif test "$i" = "-libburn_0_2_2"
then
libvers="-DCdrskin_libburn_0_2_2"
elif test "$i" = "-libburn_0_2_3"
then
libvers="-DCdrskin_libburn_0_2_3"
elif test "$i" = "-newapi" -o "$i" = "-experimental"
then
def_opts="$def_opts -DCdrskin_new_api_tesT"
@ -62,8 +62,8 @@ do
echo " -tarball_0_2 set macro to match libburn-0.2.ts.tar.gz"
echo " -cvs_A51208 set macro to match libburn-CVS of 8 Dec 2005."
echo " -cvs_A60220 set macro to match libburn-CVS of 20 Feb 2006."
echo " -libburn_0_2_1 set macro to match libburn-SVN of 15 Sep 2006."
echo " -libburn_0_2_2 set macro to match libburn-0.2.2"
echo " -libburn_0_2_3 set macro to match current libburn-SVN."
echo " -do_not_compile_cdrskin omit compilation of cdrskin/cdrskin."
echo " -experimental use newly introduced libburn features."
echo " -do_diet produce capability reduced lean version."
@ -120,6 +120,17 @@ then
libburn/lec.o \
\
-lpthread
ret=$?
if test "$ret" = 0
then
dummy=dummy
else
echo >&2
echo "+++ FATAL : Compilation of cdrskin failed" >&2
echo >&2
exit 1
fi
fi
if test "$compile_cdrfifo" = 1
@ -129,6 +140,17 @@ then
-DCdrfifo_standalonE \
-o cdrskin/cdrfifo \
cdrskin/cdrfifo.c
ret=$?
if test "$ret" = 0
then
dummy=dummy
else
echo >&2
echo "+++ FATAL : Compilation of cdrfifo failed" >&2
echo >&2
exit 2
fi
fi
if test "$do_strip" = 1

Loading…
Cancel
Save